<?php

namespace App\Models;

use App\Models\traits\Filter;

class Goods extends Model
{
    use Filter;

    //查询字段
    public $fieldSearchable = [
        'goods_title',
        'type_id',
        'brand_id',
    ];

    protected $fillable = [
        'title',
        'img_url',
        'type_id',
        'brand_id',
        'goods_code',
    ];

    public function getImgUrlAttribute($value)
    {
        if (0 === strpos($value, 'ju8hn6/erp/shop')) {
            $value = config('filesystems.disks.aliyun.url') . $value;
        }

        return $value;
    }

    /**
     * 多规格
     */
    public function skus()
    {
        return $this->hasMany(GoodsSku::class, 'goods_id');
    }

    public function brand()
    {
        return $this->hasOne(GoodsBrand::class, 'id', 'brand_id');
    }

    public function type()
    {
        return $this->hasOne(GoodsType::class, 'id', 'type_id');
    }
}
